WildcardTermEnum (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.WildcardTermEnum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class WildcardTermEnum

    java.lang.Object
      org.apache.lucene.index.TermEnum
          org.apache.lucene.search.FilteredTermEnum
              org.apache.lucene.search.WildcardTermEnum

    public class WildcardTermEnum

extends FilteredTermEnum

Subclass of FilteredTermEnum for enumerating all terms that match the specified wildcard filter term.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

Version:
  $Id: WildcardTermEnum.java 472959 2006-11-09 16:21:50Z yonik $

Field Summary
`static char` | `WILDCARD_CHAR`
`static char` | `WILDCARD_STRING` String equality with support for wildcards

Constructor Summary
`WildcardTermEnum(IndexReader reader, Term term)` Creates a new `WildcardTermEnum`.

Method Summary
`void` | `close()` Closes the enumeration to further activity, freeing resources.
`float` | `difference()` Equality measure on the term
`boolean` | `endEnum()` Indicates the end of the enumeration has been reached
`protected boolean` | `termCompare(Term term)` Equality compare on the term
`static boolean` | `wildcardEquals(String pattern, int patternIdx, String string, int stringIdx)` Determines if a word matches a wildcard pattern.

Methods inherited from class org.apache.lucene.search.FilteredTermEnum
`docFreq, next, setEnum, term`

Methods inherited from class org.apache.lucene.index.TermEnum
`skipTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WILDCARD_STRING

    public static final char WILDCARD_STRING

  String equality with support for wildcards

  See Also:
    Constant Field Values

### WILDCARD_CHAR

    public static final char WILDCARD_CHAR

See Also:
  Constant Field Values

Constructor Detail

### WildcardTermEnum

    public WildcardTermEnum(IndexReader reader,
                            Term term)
                     throws IOException

  Creates a new `WildcardTermEnum`. Passing in a `Term` that does not contain a `WILDCARD_CHAR` will cause an exception to be thrown.

  After calling the constructor the enumeration is already pointing to the first valid term if such a term exists.

  Throws:
    `IOException`

Method Detail

### termCompare

    protected final boolean termCompare(Term term)

  Description copied from class: `FilteredTermEnum`
  Equality compare on the term

  Specified by:
    `termCompare` in class `FilteredTermEnum`

### difference

    public final float difference()

  Description copied from class: `FilteredTermEnum`
  Equality measure on the term

  Specified by:
    `difference` in class `FilteredTermEnum`

### endEnum

    public final boolean endEnum()

  Description copied from class: `FilteredTermEnum`
  Indicates the end of the enumeration has been reached

  Specified by:
    `endEnum` in class `FilteredTermEnum`

### wildcardEquals

    public static final boolean wildcardEquals(String pattern,
                                               int patternIdx,
                                               String string,
                                               int stringIdx)

  Determines if a word matches a wildcard pattern. Work released by Granta Design Ltd after originally being done on company time.

### close

    public void close()
               throws IOException

  Description copied from class: `FilteredTermEnum`
  Closes the enumeration to further activity, freeing resources.

  Overrides:
    `close` in class `FilteredTermEnum`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.